aboutsummaryrefslogtreecommitdiffstats
path: root/resources/libraries/bash/entry
diff options
context:
space:
mode:
authorPeter Mikus <pmikus@cisco.com>2018-08-23 09:37:16 +0000
committerPeter Mikus <pmikus@cisco.com>2018-10-24 14:27:02 +0000
commit15c227fd0a94bfcdb4617473f9e23899995c2bdd (patch)
treebba7c62da8198be3bf0838c60c2026a02b6e14cd /resources/libraries/bash/entry
parentd350b2d24cb116e14e991f784dc11b3462def56c (diff)
CSIT-1260 Create initial version of bootstrap including VF reservation
Change-Id: I153d378849ea76444915b7fc219237db1b7bca1a Signed-off-by: Peter Mikus <pmikus@cisco.com>
Diffstat (limited to 'resources/libraries/bash/entry')
-rw-r--r--resources/libraries/bash/entry/bootstrap_verify_perf.sh2
-rwxr-xr-xresources/libraries/bash/entry/bootstrap_vpp_device.sh46
-rw-r--r--resources/libraries/bash/entry/per_patch_perf.sh4
3 files changed, 49 insertions, 3 deletions
diff --git a/resources/libraries/bash/entry/bootstrap_verify_perf.sh b/resources/libraries/bash/entry/bootstrap_verify_perf.sh
index 74edc4cea8..1a0d638da1 100644
--- a/resources/libraries/bash/entry/bootstrap_verify_perf.sh
+++ b/resources/libraries/bash/entry/bootstrap_verify_perf.sh
@@ -34,8 +34,8 @@ source "${BASH_FUNCTION_DIR}/common.sh" || {
}
source "${BASH_FUNCTION_DIR}/gather.sh" || die "Source failed."
common_dirs || die
-get_test_tag_string || die
get_test_code "${1-}" || die
+get_test_tag_string || die
select_topology || die
gather_build || die
check_download_dir || die
diff --git a/resources/libraries/bash/entry/bootstrap_vpp_device.sh b/resources/libraries/bash/entry/bootstrap_vpp_device.sh
new file mode 100755
index 0000000000..6d389d6baf
--- /dev/null
+++ b/resources/libraries/bash/entry/bootstrap_vpp_device.sh
@@ -0,0 +1,46 @@
+#!/usr/bin/env bash
+
+# Copyright (c) 2018 Cisco and/or its affiliates.
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at:
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+set -exuo pipefail
+
+# Assumptions:
+# + There is a directory holding CSIT code to use (this script is there).
+# + At least one of the following is true:
+# ++ JOB_NAME environment variable is set,
+# ++ or this entry script has access to arguments.
+# Consequences (and specific assumptions) are multiple,
+# examine tree of functions for current description.
+
+# "set -eu" handles failures from the following two lines.
+BASH_ENTRY_DIR="$(dirname $(readlink -e "${BASH_SOURCE[0]}"))"
+BASH_FUNCTION_DIR="$(readlink -e "${BASH_ENTRY_DIR}/../function")"
+source "${BASH_FUNCTION_DIR}/common.sh" || {
+ echo "Source failed." >&2
+ exit 1
+}
+source "${BASH_FUNCTION_DIR}/gather.sh" || die "Source failed."
+common_dirs || die
+get_test_code "${1-}" || die
+get_test_tag_string || die
+select_topology || die
+gather_build || die
+check_download_dir || die
+activate_virtualenv "${CSIT_DIR}" || die
+activate_docker_topology || die
+select_vpp_device_tags || die
+compose_pybot_arguments || die
+run_pybot || die
+copy_archives || die
+die_on_pybot_error || die
diff --git a/resources/libraries/bash/entry/per_patch_perf.sh b/resources/libraries/bash/entry/per_patch_perf.sh
index abb1001652..73d4f69500 100644
--- a/resources/libraries/bash/entry/per_patch_perf.sh
+++ b/resources/libraries/bash/entry/per_patch_perf.sh
@@ -46,10 +46,10 @@ prepare_build_parent || die
build_vpp_ubuntu_amd64 "PARENT" || die
prepare_test || die
## Replace previous 4 lines with this to speed up testing.
-#download_builds "https://jenkins.fd.io/sandbox/job/vpp-csit-verify-perf-master-2n-skx/2/artifact/*zip*/archive.zip" || die
+#download_builds "REPLACE_WITH_URL" || die
initialize_csit_dirs || die
-get_test_tag_string || die
get_test_code "${1-}" || die
+get_test_tag_string || die
set_perpatch_dut || die
select_topology || die
activate_virtualenv "${VPP_DIR}" || die